%global _empty_manifest_terminate_build 0
Name:		python-pyang
Version:	2.3.2
Release:	2
Summary:	A YANG (RFC 6020/7950) validator and converter
License:	BSD
URL:		https://github.com/mbj4668/pyang
Source0:	%{url}/archive/refs/tags/pyang-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-lxml

%description
An extensible  YANG (RFC 6020/7950) validator. Provides a framework for plugins that can convert YANG modulesto other formats.

%package -n python3-pyang
Summary:	A YANG (RFC 6020/7950) validator and converter
Provides:	python-pyang
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pyang
An extensible  YANG (RFC 6020/7950) validator. Provides a framework for plugins that can convert YANG modulesto other formats.

%package help
Summary:	Development documents and examples for pyang
Provides:	python3-pyang-doc
%description help
An extensible  YANG (RFC 6020/7950) validator. Provides a framework for plugins that can convert YANG modulesto other formats.

%prep
%autosetup -n pyang-2.3.2

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pyang -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*
/usr/etc/bash_completion.d/pyang
/usr/share/yang/*

%changelog
* Thu Dec 1 2022 qisen <qisen@huawei.com> 2.3.2-2
- Package init

* Tue Nov 03 2020 gaoxingwang <gxw94linux@163.com> 2.3.2-1
- Package init
